with import <nixpkgs> {};

stdenv.mkDerivation rec {
  version = "master";
  name = "blog-gallery-${version}";

  src = fetchurl {
    url = "https://gogs.prunetwork.fr/jpierre03/gallery/archive/${version}.tar.gz";
    sha256 = "1cynmrz2npabm42hv5m52wa85wfpdxljmkjv4k57ilq8xmr6xxgv";
  };

  buildInputs = [ jekyll ];
  buildPhase = "jekyll build";
  installPhase = "cp -R _site \$out";

  meta = with stdenv.lib; {
    description = "Site web de photo";
    homepage = https://gogs.prunetwork.fr/jpierre03/gallery;
    license = licenses.cc-by-nc-sa-40;
    maintainers = [ "Jean-Pierre PRUNARET <jean-pierre+git@prunetwork.fr>" ];
    platforms = platforms.linux;
  };
}
