with import <nixpkgs> {};

stdenv.mkDerivation rec {
  version = "0.92.0";
  name = "osm2pgsql-${version}";

  src = fetchurl {
    url = "https://github.com/openstreetmap/osm2pgsql/archive/${version}.tar.gz";
    sha256 = "0xzfcghl6nycixaajz6sblb57nlcidasjx8zfbpmvzc9ckgwyhdp";
    };

    #nativeBuildInputs = [ ];
    buildInputs = [
      boost
      bzip2
      cmake
      expat
      geos
      #libressl    # TLS, crypto implementation
      lua
      openssl     # TLS, crypto implementation
      python python27Packages.psycopg2 # regression tests
      postgresql
      proj
      zlib
  ];

    #preConfigure = ''
    #'';
    #buildPhase = ''jam "-j$NIX_BUILD_CORES" '';
    #installPhase = ''
    #'';

    meta = with stdenv.lib; {
      homepage = http://wiki.openstreetmap.org/wiki/Osm2pgsql;
      description = "osm2pgsql is a tool for loading OpenStreetMap data into a PostgreSQL / PostGIS database suitable for applications like rendering into a map, geocoding with Nominatim, or general analysis.";
      #license = licenses.gpl2;
      #maintainers = [ maintainers.phunehehe ];
      maintainers = [ "Jean-Pierre PRUNARET <jean-pierre+git@prunetwork.fr>" ];
      #maintainers = [ maintainers.jpierre03 ];
    };
}

